#priority 1
# Genetics

import mods.forestry.Carpenter;

print("Initializing 'Genetics'...");

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    Базы данных    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
// База данных ботаники
Carpenter.removeRecipe(<botany:database>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12095> * 4, <gregtech:meta_item_1:12228> * 2, <ore:circuitGood>, <gregtech:meta_item_1:12129>, <ore:paneGlass>)
    .outputs(<botany:database>)
    .duration(10 * 20)
    .EUt(64)
    .buildAndRegister();

// База данных арбористов
Carpenter.removeRecipe(<extratrees:databasetree>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12095> * 4, <gregtech:meta_item_1:12228> * 2, <ore:circuitGood>, <gregtech:meta_item_1:12109>, <ore:paneGlass>)
    .outputs(<extratrees:databasetree>)
    .duration(10 * 20)
    .EUt(64)
    .buildAndRegister();

// База данных пчеловода
Carpenter.removeRecipe(<extrabees:dictionary>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12095> * 4, <gregtech:meta_item_1:12228> * 2, <ore:circuitGood>, <gregtech:meta_item_1:12113>, <ore:paneGlass>)
    .outputs(<extrabees:dictionary>)
    .duration(10 * 20)
    .EUt(64)
    .buildAndRegister();

// База данных лепидоптериста
Carpenter.removeRecipe(<extratrees:databaselepi>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12095> * 4, <gregtech:meta_item_1:12228> * 2, <ore:circuitGood>, <gregtech:meta_item_1:12111>, <ore:paneGlass>)
    .outputs(<extratrees:databaselepi>)
    .duration(10 * 20)
    .EUt(64)
    .buildAndRegister();

// База генов
Carpenter.removeRecipe(<genetics:geneticdatabase>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12111> * 6, <gregtech:meta_item_1:12219>, <ore:circuitAdvanced>, <ore:paneGlass>)
    .outputs(<genetics:geneticdatabase>)
    .duration(10 * 20)
    .EUt(256)
    .buildAndRegister();

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  Разное  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
// Аналитик
recipes.remove(<genetics:analyst>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12183> * 6, <genetics:misc:8> * 2, <forestry:portable_alyzer>)
    .outputs(<genetics:analyst>)
    .duration(20 * 20)
    .EUt(512)
    .buildAndRegister();
    
// Усиленный корпус
recipes.remove(<genetics:misc>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12183> * 8, <forestry:hardened_machine>)
    .outputs(<genetics:misc>)
    .duration(10 * 20)
    .EUt(256)
    .buildAndRegister();

// Краситель ДНК
recipes.remove(<genetics:misc:1>);
recipes.addShaped("genetics_dna_dye", <genetics:misc:1> * 8,
 [[<minecraft:dye:9>, <gregtech:meta_item_1:2050>, <minecraft:dye:9>],
  [<minecraft:dye:13>, <minecraft:blaze_powder>, <gregtech:meta_item_1:2214>],
  [<minecraft:dye:9>, <minecraft:glowstone_dust>, <minecraft:dye:9>]]);

// Флуоресцентный краситель
recipes.remove(<genetics:misc:2>);
recipes.addShaped("genetics_fluorescent_dye", <genetics:misc:2> * 8,
 [[<minecraft:dye:11>, <gregtech:meta_item_1:2050>, <minecraft:dye:11>],
  [<minecraft:dye:14>, <minecraft:blaze_powder>, <gregtech:meta_item_1:2190>],
  [<minecraft:dye:11>, <minecraft:glowstone_dust>, <minecraft:dye:11>]]);

// Пустая последовательность
recipes.remove(<genetics:misc:5>);
assembler.recipeBuilder()
    .inputs(<minecraft:paper> * 6, <gregtech:meta_item_1:12112> * 2, <gregtech:meta_item_1:15209>)
    .outputs(<genetics:misc:5>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

// Пустая последовательность
recipes.remove(<genetics:misc:6>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12112> * 5, <gregtech:meta_item_1:15209> * 2, <ore:paneGlass>)
    .outputs(<genetics:misc:6>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

// Интегральная плата
recipes.remove(<genetics:misc:8>);
assembler.recipeBuilder()
    .inputs(<forestry:chipsets:1> * 2, <ore:circuitAdvanced> * 2, <gtadditions:ga_meta_item:32115> * 2, <gtadditions:ga_meta_item:32117> * 2, <forestry:chipsets:3>)
    .outputs(<genetics:misc:8>)
    .duration(10 * 20)
    .EUt(1024)
    .buildAndRegister();

// Интегральное ЦПУ
recipes.remove(<genetics:misc:9>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12051> * 4, <ore:circuitExtreme> * 4, <forestry:crafting_material:1>)
    .outputs(<genetics:misc:9>)
    .duration(25 * 20)
    .EUt(2048)
    .buildAndRegister();

// Интегральеный корпус
recipes.remove(<genetics:misc:10>);
assembler.recipeBuilder()
    .inputs(<genetics:misc:9> * 4, <gregtech:meta_item_1:12051> * 4, <genetics:misc>)
    .outputs(<genetics:misc:10>)
    .duration(30 * 20)
    .EUt(2048)
    .buildAndRegister();

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  Машины  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
// Изолятор
recipes.remove(<genetics:machine>);
recipes.addShaped("genetics_insulator", <genetics:machine>,
 [[<ore:platePlatinum>, <gregtech:meta_item_1:15111>, <ore:platePlatinum>],
  [<genetics:misc:8>, <genetics:misc>, <genetics:misc:8>],
  [<ore:platePlatinum>, <gregtech:meta_item_1:32612>, <ore:platePlatinum>]]);

// Секвенсор
recipes.remove(<genetics:machine:1>);
recipes.addShaped("genetics_sequencer", <genetics:machine:1>,
 [[<gregtech:meta_item_1:32692>, <forestry:crafting_material:1>, <gregtech:meta_item_1:32692>],
  [<genetics:misc:8>, <genetics:misc>, <genetics:misc:8>],
  [<genetics:misc:2>, <gregtech:meta_item_1:12219>, <genetics:misc:2>]]);

// Полимеризатор
recipes.remove(<genetics:machine:2>);
recipes.addShaped("genetics_polymerizer", <genetics:machine:2>,
 [[<ore:platePlatinum>, <genetics:misc:8>, <ore:platePlatinum>],
  [<gregtech:meta_item_1:32612>, <genetics:misc>, <gregtech:meta_item_1:32692>],
  [<ore:platePlatinum>, <genetics:misc:8>, <ore:platePlatinum>]]);

// Инокулятор
recipes.remove(<genetics:machine:3>);
recipes.addShaped("genetics_inoculator", <genetics:machine:3>,
 [[<ore:platePlatinum>, <gregtech:meta_item_1:12111>, <ore:platePlatinum>],
  [<gregtech:meta_item_1:32612>, <genetics:misc>, <genetics:misc:8>],
  [<gregtech:meta_item_1:12113>, <genetics:misc:8>, <gregtech:meta_item_1:12113>]]);

// Лабораторный стенд
recipes.remove(<genetics:lab_machine>);
recipes.addShaped("genetics_laboratory_stand", <genetics:lab_machine>,
 [[<gregtech:meta_item_1:12111>, <ore:paneGlass>, <gregtech:meta_item_1:12111>],
  [<ore:paneGlass>, <genetics:misc>, <ore:paneGlass>],
  [<gregtech:meta_item_1:12111>, <ore:paneGlass>, <gregtech:meta_item_1:12111>]]);

// Анализатор
recipes.remove(<genetics:lab_machine:1>);
recipes.addShaped("genetics_analyzer", <genetics:lab_machine:1>,
 [[<ore:paneGlass>, <genetics:analyst>, <ore:paneGlass>],
  [<ore:circuitAdvanced>, <genetics:misc>, <ore:circuitAdvanced>],
  [<genetics:misc:1>, <gregtech:meta_item_1:32692>, <genetics:misc:1>]]);

// Инкубатора
recipes.remove(<genetics:lab_machine:2>);
recipes.addShaped("genetics_incubator", <genetics:lab_machine:2>,
 [[<ore:paneGlass>, <gregtech:wire_coil>, <ore:paneGlass>],
  [<ore:circuitAdvanced>, <genetics:misc>, <ore:circuitAdvanced>],
  [<gregtech:meta_item_1:32612>, <gregtech:meta_item_1:12111>, <gregtech:meta_item_1:32612>]]);

// Генофонд
recipes.remove(<genetics:lab_machine:3>);
recipes.addShaped("genetics_gene_pool", <genetics:lab_machine:3>,
 [[<ore:paneGlass>, <gregtech:meta_item_1:32692>, <ore:paneGlass>],
  [<ore:circuitAdvanced>, <genetics:misc>, <ore:circuitAdvanced>],
  [<gregtech:meta_item_1:32612>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32612>]]);

// Акклиматизатор
recipes.remove(<genetics:lab_machine:4>);
recipes.addShaped("genetics_acclimatizer", <genetics:lab_machine:4>,
 [[<ore:paneGlass>, <gregtech:wire_coil>, <ore:paneGlass>],
  [<ore:circuitAdvanced>, <genetics:misc>, <ore:circuitAdvanced>],
  [<forge:bucketfilled>.withTag({FluidName: "ice", Amount: 1000}), <extrautils2:klein>, <forge:bucketfilled>.withTag({FluidName: "ice", Amount: 1000})]]);

// Cплайсер
recipes.remove(<genetics:adv_machine>);
recipes.addShaped("genetics_splicer", <genetics:adv_machine>,
 [[<ore:platePlatinum>, <gregtech:meta_item_1:32693>, <ore:platePlatinum>],
  [<genetics:misc:9>, <genetics:misc:10>, <genetics:misc:9>],
  [<ore:platePlatinum>, <gregtech:meta_item_1:12183>, <ore:platePlatinum>]]);


print("Initialized 'Genetics'");